# Set_Color_Locks

## Functions

void | `HIC_Set_Color_Front_Locks`
void | `HIC_Set_Color_Back_Locks`
void | `HIC_Set_Color_Face_Contrast_Locks`
void | `HIC_Set_Color_Edge_Locks`
void | `HIC_Set_Color_Edge_Contrast_Locks`
void | `HIC_Set_Color_Line_Locks`
void | `HIC_Set_Color_Line_Contrast_Locks`
void | `HIC_Set_Color_Marker_Locks`
void | `HIC_Set_Color_Marker_Contrast_Locks`
void | `HIC_Set_Color_Vertex_Locks`
void | `HIC_Set_Color_Vertex_Contrast_Locks`
void | `HIC_Set_Color_Text_Locks`
void | `HIC_Set_Color_Text_Contrast_Locks`
void | `HIC_Set_Color_Window_Locks`
void | `HIC_Set_Color_Window_Contrast_Locks`
void | `HIC_Set_Color_Cut_Face_Locks`
void | `HIC_Set_Color_Cut_Edge_Locks`
void | `HIC_Set_Color_Locks`

## Detailed Description

group Set_Color_Locks

  It is possible to override local attributes temporarily, using attribute lock. When a specific attribute is locked in a segment, that attribute’s value applies to all sub-segments, regardless of whether those sub-segments have local attribute values set for that same attribute.

## Function Documentation

void HIC_Set_Color_Front_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color front attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Back_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color back attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Face_Contrast_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color face contrast attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Edge_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color edge attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Edge_Contrast_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color edge contrast attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Line_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color line attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Line_Contrast_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color line contrast attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Marker_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color marker attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Marker_Contrast_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color marker contrast attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Vertex_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color vertex attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Vertex_Contrast_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color vertex contrast attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Text_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color text attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Text_Contrast_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color text contrast attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Window_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color window attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Window_Contrast_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color window contrast attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Cut_Face_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color cut face attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Cut_Edge_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects material_color_locks)

  This function locks the color cut edge attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - material_color_locks – A HIC_Color_Lock_Objects.

void HIC_Set_Color_Locks(HIC_Rendition *nr, HIC_Color_Lock_Objects color_locks)

  This function locks the color attribute.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - color_locks – A HIC_Color_Lock_Objects.